petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCShellSetApplyTranspose

Sets routine to use as preconditioner transpose.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetApplyTranspose(PC pc,PetscErrorCode (*applytranspose)(PC,Vec,Vec))

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| apply | - the application-provided preconditioning transpose routine Many br

### Calling sequence of apply

       PetscErrorCode applytranspose (PC pc,Vec xin,Vec xout)

Many br

| pc | - the preconditioner, get the application context with PCShellGetContext() Many br
| xin | - input vector Many br
| xout | - output vector Many br

Notes: the function MUST return an error code of 0 on success and nonzero on failure. Many br

Many br

### Notes

Uses the same context variable as PCShellSetApply(). Many br

### Keywords

PC, shell, set, apply, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetSetUp(), PCShellSetApply(), PCSetContext(), PCShellSetApplyBA()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html